Bug 56379 - RFE: kickstart does use non us keyboard map if input is needed
RFE: kickstart does use non us keyboard map if input is needed
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-16 10:46 EST by Anne Possoz
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-16 10:51:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anne Possoz 2001-11-16 10:46:50 EST
Description of Problem:

While in kickstart installation, the keyboard in always "us" and this
makes it difficult if we have to act in screen 2, for example, or
enter any info interactively.
As this is not the case in manual install, I assume that anaconda, while
using kickstart method, doesn't take into account parameters during the
install itself but just transmit it to the installed configuration.
And effectively, the keyboard is well configured after kickstart
installation.

My ks.cfg file contains:
keyboard fr_CH-latin1


Version-Release number of selected component (if applicable):


How Reproducible:
All versions of kickstart, at least up to redhat 7.1

Steps to Reproduce:
1. keyboard fr_CH-latin1 (in ks.cfg)
2. while installation proceed, go to screen 2
   and type <shift>7boot (that should be /boot)
   On s fr_CH-latin1 keyboard, we have to type -boot
   (same for so many keys on keyboard)
3. try the same in manual installation

Actual Results:


Expected Results:


Additional Information:
Comment 1 Jeremy Katz 2001-11-26 15:07:54 EST
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.